core::net::http::Client::Errors::HttpMethodNotSupported Struct Reference

HttpMethodNotSupported is thrown if the underlying impl. does not support the requested HTTP method. More...

`#include <client.h>`

Inheritance diagram for core::net::http::Client::Errors::HttpMethodNotSupported:
Collaboration diagram for core::net::http::Client::Errors::HttpMethodNotSupported:

## Public Member Functions

| HttpMethodNotSupported (Method method, const core::Location &)
Public Member Functions inherited from core::net::http::Error
| Error (const std::string &what, const Location &loc)
virtual | ~Error ()=default
Public Member Functions inherited from core::net::Error
| Error (const std::string &what, const Location &el)

## Public Attributes

Method | method

## Detailed Description

HttpMethodNotSupported is thrown if the underlying impl. does not support the requested HTTP method.

Definition at line 54 of file client.h.

## Constructor & Destructor Documentation

## HttpMethodNotSupported()

core::net::http::Client::Errors::HttpMethodNotSupported::HttpMethodNotSupported | ( | Method | method,
|  | const core::Location & | )

References method.

## Member Data Documentation

## method

Method core::net::http::Client::Errors::HttpMethodNotSupported::method

Definition at line 57 of file client.h.

Referenced by HttpMethodNotSupported().

The documentation for this struct was generated from the following file:

- client.h